<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.sas.mapper.SasDeviceMapper">

    <resultMap id="BaseResultMap" type="com.usky.sas.domain.SasDevice">
        <id column="id" property="id"/>
        <result column="device_id" property="deviceId"/>
        <result column="channel" property="channel"/>
        <result column="device_type" property="deviceType"/>
        <result column="ip_addr" property="ipAddr"/>
        <result column="remote_ipc_ip_addr" property="remoteIpcIpAddr"/>
        <result column="mac_addr" property="macAddr"/>
        <result column="port" property="port"/>
        <result column="username" property="username"/>
        <result column="password" property="password"/>
        <result column="shield" property="shield"/>
        <result column="village_code" property="villageCode"/>
        <result column="house_code" property="houseCode"/>
        <result column="address" property="address"/>
        <result column="gis_id" property="gisId"/>
        <result column="video_protocol" property="videoProtocol"/>
        <result column="video_type" property="videoType"/>
        <result column="binding_ipc" property="bindingIpc"/>
        <result column="is_binding" property="isBinding"/>
        <result column="video_group_type" property="videoGroupType"/>
        <result column="alarsas_group_type" property="alarsasGroupType"/>
        <result column="video_source_token" property="videoSourceToken"/>
        <result column="note" property="note"/>
        <result column="trigger_time" property="triggerTime"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>

</mapper>

